/**********************************************************
RunUO 2.0 AoV C# script file
Official Age of Valor Script :: www.uovalor.com
Last modified by 
Filepath: scripts\_custom\engines\ML Peerless + misc areas\demitel\artifacts\LordOaksEssence.cs
Lines of code: 45
***********************************************************/


using System;
using Server;

namespace Server.Items
{
	public class LordOaksEssence : LeatherArms
	{
		public override int ArtifactRarity{ get{ return 15; } }
		public override int BaseColdResistance{ get{ return 16; } }
		public override int BasePoisonResistance{ get{ return 16; } }
		public override int BasePhysicalResistance{ get{ return 22; } }

		public override void GetProperties( ObjectPropertyList list )
		{
			base.GetProperties( list );
			{
				list.Add("D E M I T E L");
			}
		}

		public override int InitMinHits{ get{ return 255; } }
		public override int InitMaxHits{ get{ return 255; } }

		[Constructable]
		public LordOaksEssence()
		{
			Name = "Lord Oaks' Essence";
			Hue = 1151;
			ItemID = 12232;
			Attributes.RegenHits = 5;
			Attributes.BonusStr = 10;
			Attributes.BonusHits = 12;
			Attributes.BonusStam = 12;
		}

		public LordOaksEssence( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );

			writer.Write( (int) 0 );
		}
		
		public override void Deserialize(GenericReader reader)
		{
			base.Deserialize( reader );

			int version = reader.ReadInt();
		}
	}
}